<?php
/**
 * @package         FirePlugins Framework
 * @version         1.0.21
 * 
 * @author          FirePlugins <info@fireplugins.com>
 * @link            https://www.fireplugins.com
 * @copyright       Copyright © 2022 FirePlugins All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
*/

namespace FPFramework\Base\Assignments;

if (!defined('ABSPATH'))
{
	exit; // Exit if accessed directly.
}

use FPFramework\Base\Assignment;

class Userid extends Assignment 
{
	/**
	 * Check User ID
	 *
	 * @return bool
	 */
	public function pass()
	{
		$this->selection = is_array($this->selection) ? $this->selection : explode(',', $this->selection);

		// prepare an array(of ints) from the supplied IDs(string)		
		$ids = array_map('intval', array_map('trim', $this->selection));

		if (in_array($this->user->ID, $ids))
		{
			return true;
		}

		return false;
	}

	/**
     *  Returns the assignment's value
     * 
     *  @return int User ID
     */
	public function value()
	{
		return $this->user->ID;
	}
}
