<?php
/**
 * @package         FirePlugins Framework
 * @version         1.0.21
 * 
 * @author          FirePlugins <info@fireplugins.com>
 * @link            https://www.fireplugins.com
 * @copyright       Copyright © 2022 FirePlugins All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
*/

if (!defined('ABSPATH'))
{
	exit; // Exit if accessed directly.
}
$id = $this->data->get('id');
$categories = $this->data->get('categories');
$template_use_url = $this->data->get('template_use_url');
$noresults_create_from_scratch_label = $this->data->get('noresults_create_from_scratch_label');
$blank_template_label = $this->data->get('blank_template_label');
$blank_template_desc = $this->data->get('blank_template_desc');
$plugin_name = $this->data->get('plugin_name');
$support_request_label = $this->data->get('support_request_label');
$license_type = $this->data->get('license_type');
?>
<div class="ts-page ts-page-templates">
    <?php fpframework()->renderer->admin->render('library/toolbar', [
        'categories' => $categories,
        'license_type' => $license_type
    ]); ?>
    <div class="ts-content">
        <?php
        fpframework()->renderer->admin->render('library/noresults', [
            'template_use_url' => $template_use_url,
            'noresults_create_from_scratch_label' => $noresults_create_from_scratch_label
        ]);
        fpframework()->renderer->admin->render('library/items', [
            'template_use_url' => $template_use_url,
            'blank_template_label' => $blank_template_label,
            'blank_template_desc' => $blank_template_desc,
            'license_type' => $license_type
        ]);
        ?>
    </div>
    <?php fpframework()->renderer->admin->render('library/footer', [
        'plugin_name' => $plugin_name,
        'support_request_label' => $support_request_label,
        'id' => $id
    ]); ?>
</div>