<?php
/**
 * @package         FireBox
 * @version         1.0.10 Free
 * 
 * @author          FirePlugins <info@fireplugins.com>
 * @link            https://www.fireplugins.com
 * @copyright       Copyright © 2022 FirePlugins All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
*/

if (!defined('ABSPATH'))
{
	exit; // Exit if accessed directly.
}

if ($this->data->get('countdown_type') === 'static' && (empty($this->data->get('value')) || $this->data->get('value') === '0000-00-00 00:00:00'))
{
	return;
}

wp_register_script(
	'fpframework-countdown-widget',
	FPF_MEDIA_URL . 'public/js/widgets/countdown.js',
	[],
	FPF_VERSION,
	true
);
wp_enqueue_script('fpframework-countdown-widget');

if ($this->data->get('load_stylesheet'))
{
	if ($this->data->get('theme') !== 'custom')
	{
		wp_register_style(
			'fpframework-countdown-widget',
			FPF_MEDIA_URL . 'public/css/widgets/countdown.css',
			[],
			FPF_VERSION,
			false
		);
		wp_enqueue_style('fpframework-countdown-widget');
	}
	else
	{
		wp_register_style(
			'fpframework-widget',
			FPF_MEDIA_URL . 'public/css/widget.css',
			[],
			FPF_VERSION,
			false
		);
		wp_enqueue_style('fpframework-widget');
	}
}

if (!empty($this->data->get('custom_css')))
{
	wp_add_inline_style('fpframework-countdown-widget', $this->data->get('custom_css'));
}
?>
<div class="fpf-widget fpf-countdown<?php echo esc_attr($this->data->get('css_class')); ?>"
	id="<?php echo esc_attr($this->data->get('id')); ?>"
	<?php echo $this->data->get('atts'); ?>>
</div>